<?xml version="1.0"?>
<!--
    Digg Sidebar - Shows Digg stories in the Firefox sidebar in real time.
    Copyright (C) 2008  Abhinav Sarkar <abhinav dot sarkar at gmail dot com>

    This file is a part of Digg Sidebar.

    Digg Sidebar is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Digg Sidebar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Digg Sidebar.  If not, see <http://www.gnu.org/licenses/>.
-->
<?xml-stylesheet href="chrome://global/skin/" type="text/css" ?>
<?xml-stylesheet href="chrome://browser/skin/browser.css" type="text/css" ?>
<?xml-stylesheet href="chrome://diggsidebar/skin/diggsidebar.css" type="text/css" ?>
<!DOCTYPE page SYSTEM "chrome://diggsidebar/locale/diggsidebar.dtd">

<page id="sbDiggSidebar" title="&diggsidebar.title;"
    xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
    onload="DiggSidebar.initialize()"
    onunload="DiggSidebar.destroy()">
    <script src="chrome://diggsidebar/content/diggsidebar.js" type="application/x-javascript" />
    <script src="chrome://diggsidebar/content/jpath.js" type="application/x-javascript" />
    <hbox>
        <toolbar flex="1">
            <toolbaritem>
                <menubar id="dsMenubar" flex="1" style="width: 100%">
                    <menu id="dsStoriesMenu" label="Stories" accesskey="S">
                        <menupopup id="dsStoriesPopup">
                            <menuitem label="All" value="/all"
                                      oncommand="DiggSidebar.setEndPoint(this.value)" accesskey="A" />
                            <menuitem label="Popular" value="/popular"
                                      oncommand="DiggSidebar.setEndPoint(this.value)" accesskey="P" />
                            <menuitem label="Upcoming" value="/upcoming"
                                      oncommand="DiggSidebar.setEndPoint(this.value)" accesskey="U" />
                            <menuitem label="Hot" value="/hot"
                                      oncommand="DiggSidebar.setEndPoint(this.value)" accesskey="H" />
                            <menuitem label="Top" value="/top"
                                      oncommand="DiggSidebar.setEndPoint(this.value)" accesskey="T" />
                            <menuseparator />
                        </menupopup>
                    </menu>
                </menubar>
            </toolbaritem>
            <toolbarspacer flex="5" />
            <toolbaritem>
                <toolbarbutton tooltiptext="Click to refresh" oncommand="DiggSidebar.getStories()">
                    <image id="dsBusyIndicator"/>
                </toolbarbutton>
            </toolbaritem>
        </toolbar>
    </hbox>
    <notificationbox id="dsNotificationBox" dir="reverse">
        <description id="dsEndPointDesc">digg</description>
    </notificationbox>
        <richlistbox flex="1"
                 id="dsStoryListBox"
                 seltype="single"
                 onselect="DiggSidebar.showDescription(this.selectedItem.id.substr(6))" />
</page>
